
-- DROP TABLE tl_assessment_criteria_answer;



CREATE TABLE tl_assessment_criteria_answer (
    object_id int NOT NULL ,
    object_last_updated_date datetime DEFAULT getdate() NOT NULL ,
    object_created_date datetime DEFAULT getdate() NOT NULL
    ,
    answer char(1) NOT NULL,
    notes text NULL,
    assessment_criteria_id numeric(12)  NOT NULL,
    job_application_id numeric(12)  NOT NULL
    );



ALTER TABLE tl_assessment_criteria_answer ADD    
    CONSTRAINT PK_tl_assessment_criteria_answer PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_assessment_criteria_answer_assessment_criteria_id 
    ON tl_assessment_criteria_answer (assessment_criteria_id);

    CREATE INDEX idx_tl_assessment_criteria_answer_job_application_id 
    ON tl_assessment_criteria_answer (job_application_id);
